/**
 * Type Cursor: 
 * Class <code>TCursor</code> manages a graphical cursor.
 @since First release
*/
public class TCursor extends TVCpn
{
    /** The horizontal speed. */
    public int speedX;
    
    /** The vertical speed. */
    public int speedY;
    
    /** The cursor's graphic. (crDefault(Arrow), crPlus, crCross, crHourGlass, crPoint) */
    public String cursorType;
    
    /**
     * Instanciates a new Type Cursor.
     @since First release
    */
    public TCursor () {}
    
    /**
     * Sets the horizontal speed of the cursor.
     @param speed The horizontal speed.
     @since First release
    */
    public void setSpeedX (int speed) {}
    
    /**
     * Sets the vertical speed of the cursor.
     @param speed The vertical speed.
     @since First release
    */
    public void setSpeedY (int speed) {}
    
    /**
     * Sets the cursor's graphic.
     @param cursor  The cursor's graphic. (options: crDefault(Arrow), crPlus, crCross, crHourGlass, crPoint)
     @since First release
    */
    public void setCursor (String cursor) {}
    
    /**
     * Returns the horizontal speed of the cursor.
     @return speed: The horizontal speed.
     @since First release
    */
    public int getSpeedX () {}
    
    /**
     * Returns the vertical speed of the cursor.
     @param speed: The vertical speed.
     @since First release
    */
    public int getSpeedY () {}
    
    /**
     * Returns the cursor's graphic.
     @return cursor:  The cursor's graphic. (crDefault(Arrow), crPlus, crCross, crHourGlass, crPoint)
     @since First release
    */
    public String getCursor () {}
    
    /**
     * Activates the cursor, moved by arrows and enterupted by enter key.
     @since First release
    */
    public void activate () {}
}