/**
 * Type InputDialog: 
 * Class <code>TInput</code> encapsulates the TI-BASIC dialog/request
 * functions.
 @since Release 2
*/
public class TInput extends TDlg
{
    /** The dialog's question. */
    public String question;
    
    /**
     * Instanciates a new Type InputDialog.
     @since Release 2
    */
    public TInput () {}
    
    /**
     * Instanciates a new Type InputDialog.
     @param caption The window title.
     @since Release 2
    */
    public TInput (String caption) {}
    
    /**
     * Instanciates a new Type InputDialog.
     @param caption The window's title.
     @param message The text displayed in the window.
     @since Release 2
    */
    public TInput (String caption, String message[]) {}
    
    /**
     * Sets the dialog's question.
     @param question The dialog's question.
     @since Release 2
    */
    public void setQuestion (String question) {}
    
    /**
     * Returns the dialog's question.
     @return question: The dialog's question.
     @since Release 2
    */
    public String getQuestion () {}
    
    /**
     * Returns the user's input.
     @return input: The user's input.
     @since Release 2
    */
    public String showModal() {return "";}
}